IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Calendar event notes

Private notes send around some calendar event

The calendar event note object

Attributes

iduuid

Unique identifier

author_iduuid | null
user_profiles.user_id

Identifier of the user that created the note

calendar_event_iduuid
calendar_events.id

Identifier of the related calendar event

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

notetext

The note itself

The calendar event note object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "author_id": "00000000-0000-0000-0000-000000000000",
  "calendar_event_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T07:07:29.825Z",
  "updated_at": "2026-03-12T07:07:29.825Z",
  "note": ""
}

List calendar event notes

Filters

idFilter<uuid>

Unique identifier

author_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the note

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

noteFilter<text>

The note itself

Responses

200

A list of calendar event notes with the selected columns

206

Partial Content

GET /calendar_event_notes
curl -X GET "https://api.bookingmood.com/v1/calendar_event_notes?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create calendar event notes

Body

Partial<CalendarEventNote> | Array<Partial<CalendarEventNote>>

Responses

201

The newly created calendar event notes with the selected columns

POST /calendar_event_notes
curl -X POST "https://api.bookingmood.com/v1/calendar_event_notes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete calendar event notes

Filters

idFilter<uuid>

Unique identifier

author_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the note

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

noteFilter<text>

The note itself

Responses

204

The deleted calendar event notes with the selected columns

DELETE /calendar_event_notes
curl -X DELETE "https://api.bookingmood.com/v1/calendar_event_notes" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update calendar event notes

Filters

idFilter<uuid>

Unique identifier

author_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the note

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

noteFilter<text>

The note itself

Body

Partial<CalendarEventNote>

Responses

204

The updated calendar event notes with the selected columns

PATCH /calendar_event_notes
curl -X PATCH "https://api.bookingmood.com/v1/calendar_event_notes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'